Skip to main content

JavaFX GUI and mobile devices

1 reply [Last post]
polarbearsayppt
Offline
Joined: 2007-10-23
Points: 0

I need to develope a GUI in JavaFX that have to run on a pda (iPaq family) equiped whit a mobile distro Linux (debian based).
I don't know how I can run this GUI. What I have needed on the pda to able it to run this .fx scripts?
Thanks for all.

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
terrencebarr
Offline
Joined: 2004-03-04
Points: 0

Hi,

Java FX Script on mobile is not quite where you need it yet. Currently, FX Script is executed by an FX Script interpreter which requires Java SE 1.6 and Java 2D as a platform (see openjfx.dev.java.net). This is too big a stack for most mobile platforms to handle. What is needed for mobile devices is an efficient FX Script compiler with more moderate platform requirements such as only requiring Java 1.4 or 1.5 and a streamlined 2D graphics engine. Sun is working on this but there is nothing yet available for public consumption yet.

In the meantime you might want to look at creating your application or GUI with SGV and JSR 226 which is much more widely available.

-- Terrence